Package wx :: Package lib :: Module mvctree :: Class TreeModel

[frames | no frames]

## Class TreeModel

Known Subclasses:
  `BasicTreeModel`

Interface for tree models

Method Summary
| `AddChild(self, parent, child)`
| `GetChildAt(self, node, index)`
| `GetChildCount(self, node)`
| `GetParent(self, node)`
| `GetRoot(self)`
| `InsertChild(self, parent, child, index)`
| `IsEditable(self, node)`
| `IsLeaf(self, node)`
| `RemoveNode(self, child)`
| `SetEditable(self, node)`
| `SetRoot(self, root)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:39 2007 | http://epydoc.sf.net